﻿using ComPDFKit.PDFAnnotation;
using Compdfkit_Tools.Data;
using Compdfkit_Tools.PDFControlUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Common
{
    /// <summary>
    /// CPDFArrowControlControl.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFArrowControl : UserControl
    {
        public event EventHandler ArrowChanged;

        private LineType _lineType;
        public LineType LineType
        {
            get
            {
                return new LineType()
                {
                    HeadLineType = CPDFAnnotationDictionary.GetLineTypeFromIndex[CPDFHeadArrowUI.SelectedIndex],
                    TailLineType = CPDFAnnotationDictionary.GetLineTypeFromIndex[CPDFTailArrowUI.SelectedIndex]
                };
            }
            set
            {
                _lineType = value;
                CPDFHeadArrowUI.SelectedIndex = (int)_lineType.HeadLineType;
                CPDFTailArrowUI.SelectedIndex = (int)_lineType.TailLineType;
            }
        }

        public CPDFArrowControl()
        {
            InitializeComponent();
            CPDFHeadArrowUI.ArrowChanged += CPDFHeadArrowUI_ArrowChanged;
            CPDFTailArrowUI.ArrowChanged += CPDFTailArrowUI_ArrowChanged;
            Loaded += CPDFArrowControl_Loaded;
        }

        private void CPDFArrowControl_Loaded(object sender, RoutedEventArgs e)
        {
            CPDFTailArrowUI.RotateContent(180);
        }

        private void CPDFTailArrowUI_ArrowChanged(object sender, EventArgs e)
        {
            ArrowChanged?.Invoke(this, EventArgs.Empty);
        }

        private void CPDFHeadArrowUI_ArrowChanged(object sender, EventArgs e)
        {
            ArrowChanged?.Invoke((object)this, EventArgs.Empty);
        }
    }
}
