﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Common
{
    /// <summary>
    /// CPDFOpacityControl.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFOpacityControl : UserControl
    {
        public event EventHandler OpacityChanged;

        /// <summary>
        /// Opacity重名会引起问题
        /// </summary>
        public int OpacityValue
        {
            get=> CPDFOpacityUI.OpacityValue;
            set => CPDFOpacityUI.OpacityValue = value;
        }

        public CPDFOpacityControl()
        {
            InitializeComponent();
            CPDFOpacityUI.OpacityChanged += CPDFOpacityUI_OpacityChanged;
        }

        private void CPDFOpacityUI_OpacityChanged(object sender, EventArgs e)
        {
            OpacityChanged?.Invoke(this, EventArgs.Empty);
        }
    }
}
