﻿using ComPDFKit.PDFDocument;
using Compdfkit_Tools.Helper;
using ComPDFKitViewer.PdfViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.PDFControl
{
    /// <summary>
    /// PDFAbstractInfoControl.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFAbstractInfoControl : UserControl
    {
        public CPDFViewer pdfViewer;
        public void InitWithPDFViewer(CPDFViewer pdfViewer)
        {
            this.pdfViewer = pdfViewer;
            InitializeAbstractInfo(pdfViewer.Document);
        }

        public CPDFAbstractInfoControl()
        {
            InitializeComponent();
        }

        private void InitializeAbstractInfo(CPDFDocument cpdfDocument)
        {
            FileNameTextBlock.Text = cpdfDocument.FileName;
            FileSizeTextBlock.Text = CommonHelper.GetFileSize(cpdfDocument.FilePath);
            TitleTextBlock.Text = cpdfDocument.GetInfo().Title;
            AuthorTextBlock.Text = cpdfDocument.GetInfo().Author;
            SubjectTextBlock.Text = cpdfDocument.GetInfo().Subject;
            KeywordTextBlock.Text = cpdfDocument.GetInfo().Keywords;
        }
    }
}
